Bug 67560 - Draw: PNG export options not remembered
Summary: Draw: PNG export options not remembered
Status: ASSIGNED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: All All
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:7.1.0 target:7.0.0.2
Keywords:
Depends on:
Blocks: Draw-File-Handling
  Show dependency treegraph
 
Reported: 2013-07-30 21:15 UTC by crxssi
Modified: 2020-07-13 00:55 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description crxssi 2013-07-30 21:15:39 UTC
When you use the export function with PNG format, it will remember the previously selected state (from a previous export) of the option called "Mode: Interlaced" but it will not remember the state of "Drawing Objects: Save transparency."

Steps to reproduce:

* File-> Export 
* Choose PNG, name and OK
* In Options box, uncheck "Interlaced" and "Save Transparency"
* Export it (OK)
* Repeat the above and notice in Options, only "Interlaced" remained unchecked.

Both options should be remembered.
Comment 1 Derek Keats 2013-07-31 06:47:48 UTC
I can confirm this problem in Draw on Ubuntu GNU/Linux version 13.04 in version 4.1.04 of LO. There is currently no way to produce a reasonable sized PNG file from Draw.
Comment 2 Derek Keats 2013-07-31 06:48:49 UTC
Additional info: It seems to automatically select a transparent PNG (good) but only saves it at a low resolution.
Comment 3 tommy27 2013-09-21 22:28:32 UTC
I confirm it on 4.1.0.4 and 4.1.1.2 under Win7 64bit
the "save transparency" flag status is not remembered. 
"interlaced" status is instead remembered

the "save transparency" option was introduced in 4.1.x since I do not see it in 4.0.x releases.
Comment 4 crxssi 2013-09-22 06:12:07 UTC
(In reply to comment #2)
> Additional info: It seems to automatically select a transparent PNG (good)
> but only saves it at a low resolution.

I will point out that it is not "good" that it automatically selects the transparent option every time.  It should remember the previous selection of the user.  There are times you want it to be non-transparent and if you have to export several things, having to turn it off each time is annoying.

If it remembers "mode" it should remember "transparency".

I believe it is a good default to have it selected "on" the first time ever used, however.
Comment 5 QA Administrators 2015-04-19 03:20:46 UTC Comment hidden (obsolete)
Comment 6 crxssi 2015-04-21 17:46:06 UTC
(In reply to QA Administrators from comment #5)
>    *Test to see if the bug is still present on a currently supported version
> of LibreOffice (4.4.1 or later)

I just tested this issue under LibreOffice 4.4.2 under Linux and it is still present.  Interlaced setting is remembered and "Save Transparency" is not being remembered.  (It is also not remembering the export format, but that is a different bug report).

It is not inherited from OpenOffice, because OpenOffice had no "Save Transparency" option in PNG.
Comment 7 Heiko Tietze 2019-01-04 09:03:01 UTC
Don't see this as an enhancement but an ordinary bug. User settings should be saved as it is the fact for Interlaced. No further input from UX needed.
Comment 8 Julien Nabet 2020-07-10 10:07:00 UTC
I gave a try with: https://gerrit.libreoffice.org/c/core/+/98485
Comment 9 Commit Notification 2020-07-10 11:26:08 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b54f7fd93cc300fedac2f1b007dfc4e6a704b515

tdf#67560: PNG export option Save transparency not remembered

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2020-07-13 00:55:02 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/bba303dd74f88fc1720b3ae000f5fa0fd54ded84

tdf#67560: PNG export option Save transparency not remembered

It will be available in 7.0.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.